{{- $dynamicYaml := include "traefik.dynamicConfig" . -}}
apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ include "generate.fullname" . }}
  labels:
    {{- include "generate.labels" . | nindent 4 }}
data:
  traefik.yaml: |
    {{- include "traefik.staticConfig" . | nindent 4 }}
  {{- if gt (len $dynamicYaml) 1 -}}
  dynamic.yaml: |
    {{- $dynamicYaml | nindent 4 }}
  {{- end -}}
